> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Dependents

> **Beta:** This endpoint is in beta and may change.
Read the dependents covered under the benefit plans of the company, including their coverage and enrollments.




## OpenAPI

````yaml get /employer/plans-dependents
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Benefits
  - name: Management
  - name: Sandbox
paths:
  /employer/plans-dependents:
    get:
      tags:
        - Benefits
      summary: List Dependents
      description: >
        **Beta:** This endpoint is in beta and may change.

        Read the dependents covered under the benefit plans of the company,
        including their coverage and enrollments.
      operationId: list-plan-dependents
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: >-
            The entity IDs to specify which entities' data to access. Provide
            exactly one entity ID per request; a maximum of one is accepted.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - name: limit
          in: query
          required: false
          description: Number of items to return (defaults to 50, maximum 50)
          schema:
            type: integer
            default: 50
            maximum: 50
        - name: offset
          in: query
          description: Index to start from (defaults to 0)
          required: false
          schema:
            type: integer
        - name: include
          in: query
          required: false
          description: >-
            Comma-delimited list of additional fields to return. `ssn` requires
            the `employer:ssn` scope.
          schema:
            type: array
            items:
              type: string
              enum:
                - ssn
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: Dependent data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllDependentsResponse'
              examples:
                Success:
                  value:
                    paging:
                      count: 1
                      offset: 0
                    dependents:
                      - dependent_id: a8d6c0ec-8a0e-4a2f-9a3b-6f0f6e2b8f21
                        first_name: Jamie
                        last_name: Doe
                        middle_name: null
                        ssn: null
                        date_of_birth: '2014-03-22'
                        gender: female
                        coverage:
                          - individual_id: 5d0b10a1-a09a-430f-81f1-20be735dc5e9
                            relationship_to_individual: child
                            enrollments:
                              - id: ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55
                                type: medical
        '202':
          description: >-
            The request has been accepted for processing, but data is not yet
            available
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptedResponse'
              examples:
                DataSyncInProgress:
                  value:
                    code: 202
                    name: sync_in_progress
                    finch_code: data_sync_in_progress
                    message: >-
                      The data being requested is being fetched. Please check
                      back later.
                AuthorizationPending:
                  value:
                    code: 202
                    name: authorization_pending
                    finch_code: pending
                    message: Authorization to this company's data is pending
        '400':
          description: The request could not be processed due to a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  name:
                    type: string
                  message:
                    type: string
                  finch_code:
                    type: string
                required:
                  - code
                  - name
                  - message
              examples:
                InvalidQueryParameter:
                  value:
                    code: 400
                    name: bad_request
                    finch_code: invalid_request
                    message: 'Validation error: Expected number, received nan at "limit"'
      security:
        - bearerAuth: []
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    GetAllDependentsResponse:
      type: object
      properties:
        paging:
          $ref: '#/components/schemas/Paging'
        dependents:
          type: array
          items:
            $ref: '#/components/schemas/DependentResponse'
          description: The array of dependents.
      required:
        - paging
        - dependents
    AcceptedResponse:
      type: object
      properties:
        code:
          type: number
          default: 202
        name:
          type: string
        finch_code:
          type: string
        message:
          type: string
      required:
        - name
        - finch_code
        - message
    Paging:
      type: object
      properties:
        count:
          type: integer
          description: >-
            The total number of elements for the entire query (not just the
            given page)
        offset:
          type: integer
          description: The current start index of the returned list of elements
      required:
        - offset
      title: Paging
      x-tags:
        - Models
    DependentResponse:
      type: object
      properties:
        dependent_id:
          type: string
          description: A stable Finch ID for the dependent.
        first_name:
          type: string
          description: The dependent's first name.
        last_name:
          type: string
          description: The dependent's last name.
        middle_name:
          type: string
          nullable: true
          description: The dependent's middle name.
        ssn:
          type: string
          nullable: true
          description: The dependent's Social Security Number.
        date_of_birth:
          type: string
          nullable: true
          description: The dependent's date of birth in ISO 8601 format (YYYY-MM-DD).
        gender:
          $ref: '#/components/schemas/DependentGender'
        coverage:
          type: array
          items:
            $ref: '#/components/schemas/DependentCoverage'
          description: The dependent's coverage, grouped by the individual covering them.
      required:
        - dependent_id
        - first_name
        - last_name
        - middle_name
        - ssn
        - date_of_birth
        - gender
        - coverage
    DependentGender:
      type: string
      nullable: true
      enum:
        - decline_to_specify
        - female
        - male
        - other
        - null
      description: The dependent's gender.
    DependentCoverage:
      type: object
      properties:
        individual_id:
          type: string
          description: >-
            The Finch ID of the individual in the company covering this
            dependent.
        relationship_to_individual:
          $ref: '#/components/schemas/DependentRelationshipType'
        enrollments:
          type: array
          items:
            $ref: '#/components/schemas/DependentEnrollment'
          description: The enrollments this dependent is covered under via this individual.
      required:
        - individual_id
        - relationship_to_individual
        - enrollments
    DependentRelationshipType:
      type: string
      enum:
        - child
        - disabled_dependent
        - domestic_partner
        - foster_child
        - other
        - spouse
        - stepchild
        - ward
      description: The dependent's relationship to the covering individual.
    DependentEnrollment:
      type: object
      properties:
        id:
          type: string
          description: The Finch ID of the enrollment.
        type:
          type: string
          nullable: true
          enum:
            - commuter
            - dental
            - hsa
            - fsa
            - life_insurance
            - long_term_disability
            - medical
            - other
            - short_term_disability
            - vision
            - null
          description: The plan type of the enrollment.
      required:
        - id
        - type
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````